Get all service lookup property details using advanced query
post
/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupProperties/$views/lookupPropertyDetails/$query
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Request
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
- application/json
Nested Schema : schema
Type:
Show Source
object-
accessors: object
accessors
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
-
fields: array
fields
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
subTypes: object
subTypes
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type:
Show Source
object-
collection: object
collection
Defines query criteria that can be applied on a resource collection.
Nested Schema : type
Type:
Show Source
object-
parameters: object
parameters
Values to be applied in a parameterized filter specific to the view.
Nested Schema : accessors
Type:
objectMaps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type:
arrayRestricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type:
objectMaps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type:
objectDefines query criteria that can be applied on a resource collection.
Show Source
-
filter: string
The resource collection will be queried using the specified filter condition.
-
includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
limit: integer
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
-
offset: integer
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
-
privilege: string
Represents the privilege or action required to check for while serving a request to access a resource.
-
sortBy: array
sortBy
Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type:
arrayOrders a resource collection based on the specified fields.
Show Source
Nested Schema : type
Type:
objectObject with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type:
objectValues to be applied in a parameterized filter specific to the view.
Response
Default Response
Successful response of retrieving view lookupPropertyDetails for resource Service Lookup Properties
Root Schema : serviceLookupProperties_view-lookupPropertyDetails
Match All
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
-
object
__collection_context
-
object
serviceLookupProperties_view-lookupPropertyDetails-allOf[1]
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Nested Schema : serviceLookupProperties_view-lookupPropertyDetails-allOf[1]
Type:
objectService lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
Nested Schema : totalItems
Type:
Show Source
object-
qualifier: string
Allowed Values:
[ "eq", "gt", "est", "err" ] -
value: integer
Nested Schema : items-allOf[0]-allOf[1]
Type:
Show Source
object-
createdBy: string
Title:
Created ByRead Only:trueThe user who created the record. -
id: string
(big-integer)
Title:
Lookup Property IDRead Only:trueThe unique identifier of the lookup property. -
lookupCode:
lookupCode
-
lookupType:
lookupType
-
propertyLookupCode: string
Title:
Lookup CodeThe lookup code for the lookup property. -
propertyLookupType: string
Title:
Lookup TypeThe lookup type for the lookup property. -
propertyName: string
Title:
Lookup Property NameThe name of the property for the lookup. -
propertyValue: string
Title:
Lookup Property ValueThe value of the property for the lookup. -
timeCreated: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
timeUpdated: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the record was last updated. -
updatedBy: string
Title:
Last Updated ByRead Only:trueThe user who last updated the record.
Nested Schema : items-allOf[1]
Type:
object